Debian Bug report logs - #451972
no longer supports xinerama across multiple graphics cards

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: martin f krafft <madduck@debian.org>

Date: Mon, 19 Nov 2007 15:18:02 UTC

Severity: important

Found in version xorg-server/2:1.4-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: no longer supports xinerama across multiple graphics cards
Date: Mon, 19 Nov 2007 16:16:55 +0100
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-video-ati
Version: 1:6.6.193-3
Severity: serious

sid's xserver-xorg-video-ati (and also in experimental) no longer
supports MergedFB. Thus, it is no longer possible to address the two
ports without RandR.

Since RandR is incompatible with Xinerama, and RandR 1.2 does not
yet support multiple cards (RandR supposedly will), the new ATI
driver thus breaks all Xinerama setups which use more than one
graphics card.

I know RandR is the way to go, but I am still filing this bug for
posterity. I also made it RC because I don't think that this version
should become part of stable. Instead, RandR 1.3 should enter stable
so that multihead continues to work as before, without serious
regressions.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-3-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-ati depends on:
ii  libc6                         2.6.1-6    GNU C Library: Shared libraries
ii  xserver-xorg-core             2:1.4-3    Xorg X server - core server

xserver-xorg-video-ati recommends no packages.

-- no debconf information

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-video-ati. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #8 received at 451972@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: martin f krafft <madduck@debian.org>, 451972@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Mon, 19 Nov 2007 20:42:55 +0100
reassign 451972 xserver-xorg-core
forcemerge 443274 451972
thank you



On Mon, Nov 19, 2007 at 04:16:55PM +0100, martin f krafft wrote:
> Package: xserver-xorg-video-ati
> Version: 1:6.6.193-3
> Severity: serious
> 
> sid's xserver-xorg-video-ati (and also in experimental) no longer
> supports MergedFB. Thus, it is no longer possible to address the two
> ports without RandR.
> 
> Since RandR is incompatible with Xinerama, and RandR 1.2 does not
> yet support multiple cards (RandR supposedly will), the new ATI
> driver thus breaks all Xinerama setups which use more than one
> graphics card.
> 
> I know RandR is the way to go, but I am still filing this bug for
> posterity. I also made it RC because I don't think that this version
> should become part of stable. Instead, RandR 1.3 should enter stable
> so that multihead continues to work as before, without serious
> regressions.

Actually, this is a problem in the X server, not in the driver.
Intel already has the same "feature" in testing for 6 months,
but Xserver 1.4 seems to expose it more than Xserver 1.3 for
some reason.

As soon as you have one board with a RandR 1.2 driver, you can't
use any other board, even if its driver is different and does not
support RandR 1.2. It just crashes the server.
I am merging with the exiting relevant bugs (which are also RC).

Now, when is RandR 1.3 going to happen? I did not see many changes
regarding this so far. And apart from several nice and well supported 
RandR 1.2 drivers, there are a bunch of other ones that will be probably 
remain broken for multi-head until somebody port them to RandR 1.x.
All this kind of sucks...

Brice




Bug reassigned from package `xserver-xorg-video-ati' to `xserver-xorg-core'. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Mon, 19 Nov 2007 19:48:03 GMT) Full text and rfc822 format available.

Forcibly Merged 443274 445625 451972. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Mon, 19 Nov 2007 19:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Message #15 received at 451972@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 451972@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Mon, 19 Nov 2007 21:11:33 +0100
[Message part 1 (text/plain, inline)]
also sprach Brice Goglin <Brice.Goglin@ens-lyon.org> [2007.11.19.2042 +0100]:
> As soon as you have one board with a RandR 1.2 driver, you can't
> use any other board, even if its driver is different and does not
> support RandR 1.2. It just crashes the server.
> I am merging with the exiting relevant bugs (which are also RC).

Thanks. Do note that I have two cards both using the same driver
though, and the crash happens while moving from one screen to
another, both on the *same* card.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
the united nations did a poll about food. the only question they asked
was: "could you please give your honest opinion about a solution for
the shortage of food in the rest of the world?" this poll failed
because:
  - in africa they didn't know what food was....
  - in eastern-europe they didn't know what honest was....
  - in western-europe they didn't know what shortage was...
  - in china they didn't know what opinion was...
  - in the middle-east they didn't know what solution was...
  - in south-america they didn't know what please was...
  - and in the usa they didn't know what "the rest of the world" was...
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Disconnected #445625 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2008 22:39:10 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Sat, 16 Feb 2008 08:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 451972@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: martin f krafft <madduck@debian.org>, 451972@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Sat, 16 Feb 2008 09:10:27 +0100
On Mon, Nov 19, 2007 at 09:11:33PM +0100, martin f krafft wrote:
> also sprach Brice Goglin <Brice.Goglin@ens-lyon.org> [2007.11.19.2042 +0100]:
> > As soon as you have one board with a RandR 1.2 driver, you can't
> > use any other board, even if its driver is different and does not
> > support RandR 1.2. It just crashes the server.
> > I am merging with the exiting relevant bugs (which are also RC).
> 
> Thanks. Do note that I have two cards both using the same driver
> though, and the crash happens while moving from one screen to
> another, both on the *same* card.

Martin,

I am coming back to this bug since the upstream devs think the situation
isn't as bad as it seems. At least, non-Xinerama case should work.

http://lists.freedesktop.org/archives/xorg/2008-January/032219.html

Do you have a uptodate X.org from unstable running with 2 ATI boards
right now? If so, could you report what you currently observe?
(Xorg.0.log and xorg.conf wouldn't be bad).

Brice




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Message #27 received at 451972@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 451972@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Sun, 17 Feb 2008 13:27:26 +0100
[Message part 1 (text/plain, inline)]
also sprach Brice Goglin <Brice.Goglin@ens-lyon.org> [2008.02.16.0910 +0100]:
> I am coming back to this bug since the upstream devs think the situation
> isn't as bad as it seems. At least, non-Xinerama case should work.
> 
> http://lists.freedesktop.org/archives/xorg/2008-January/032219.html

I know we're in the middle of a transition from legacy xinerama to
XRandR, but I still think it's a bug if a new version of X breaks
the triple-head setup I have. It may seem that triple-head is mere
geeky joy, but to me it's actually a requirement to get my work
done. I really don't work well on 1/3 of my screen estate anymore.

> Do you have a uptodate X.org from unstable running with 2 ATI boards
> right now? If so, could you report what you currently observe?
> (Xorg.0.log and xorg.conf wouldn't be bad).

I just came back from vacation and turned my computer back on to
find that X would not start anymore, there's a traceback in the
logs. I attached xorg.conf and Xorg.0.log.

Given that I don't really like my xorg.conf anyway (it's old) and
really want to move towards XRandR, I then simply removed xorg.conf
and would like to go from here. X comes up, but it only speaks to
one of the two ATI boards, and the screen is mirrored on the two
attached displays. The second Xorg.0.log file corresponds to this
setup.

Here are some more details:

lspci:
  00:0c.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01)
  00:0c.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (Secondary) (rev 01)
  01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
  01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200] (Secondary) (rev 01)

I don't know exactly which card is which, but given this in the
logs:

  (WW) RADEON: No matching Device section for instance (BusID PCI:0:12:0) found
  (WW) RADEON: No matching Device section for instance (BusID PCI:0:12:1) found
  (--) Assigning device section with no busID to primary device
  (WW) RADEON: No matching Device section for instance (BusID PCI:1:0:1) found

I assume that my screen 0 is attached to PCI:0:12:0 and screens
1 and 2 are fed by PCI:1:0:0. X doesn't address PCI:1:0:1, but
rather just feeds both screens. xrandr -q reports:

  Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 2048
  VGA disconnected (normal left inverted right x axis y axis)
  LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
    1024x768       49.6*+   85.0     75.0     70.1     60.0  
    832x624        74.6  
    800x600        85.1     72.2     75.0     60.3     56.2  
    640x480        85.0     72.8     75.0     59.9  
    720x400        85.0  
    640x400        85.1  
    640x350        85.1  

So what I want to do now is:

1. use xrandr to create screen 2 on the second VGA port of the
   PCI:1:0:0 card and to put it right-of screen 1 attached to the
   first port. I don't know what output name to use for that.

2. somehow teach X about the PCI:0:12:0 card and use xrandr to put
   the one display attached to its primary card left-of screen 1.

Is this possible?

I hope I provided all information you need. If not, I am happy to
test and experiment, so just tell me what to do if you need me to do
anything.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
"by accepting this brick through your window, you accept it as is
 and agree to my disclaimer of all warranties, express or implied,
 as well as disclaimers of all liability, direct, indirect,
 consequential or incidental, that may arise from the installation
 of this brick into your building."                 -- seen on irc
[Xorg.0.log (text/plain, attachment)]
[xorg.conf (text/plain, attachment)]
[Xorg.0.log.2 (text/plain, attachment)]
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Message #30 received at 451972@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 451972@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Mon, 18 Feb 2008 09:27:28 +0100
[Message part 1 (text/plain, inline)]
also sprach martin f krafft <madduck@debian.org> [2008.02.17.1327 +0100]:
> I assume that my screen 0 is attached to PCI:0:12:0 and screens
> 1 and 2 are fed by PCI:1:0:0. X doesn't address PCI:1:0:1, but
> rather just feeds both screens. xrandr -q reports:

I will write a mail to the xorg mailing list after this, so this is
just for posterity. I appreciate any input you may have, regardless.

Gah, I was doing this via SSH and thus got bitten by $DISPLAY. When
run against the actual display, xrandr -q reports:

  Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1280 x 1200
  VGA-0 connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
    1280x800       60.0* 
    1280x768       60.0  
    1024x768       60.0  
    800x600        60.3  
    640x480        59.9  
  DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 375mm x 301mm
    1280x1024      60.0*+   75.0     59.9  
    1024x768       75.1     70.1     60.0  
    832x624        74.6  
    800x600        72.2     75.0     60.3     56.2  
    640x480        75.0     72.8     66.7     60.0  
    720x400        70.1  
  S-video disconnected (normal left inverted right x axis y axis)

With this, I am actually failing to turn on VGA-0, even with
--same-as; the screen just stays blank.

Also, there's a maximum of 1280x1200 on screen 0. I really want
3840x1024 to put my three screens next to each other. Is this at all
possible?

When I try to add VGA-0, I get:

piper:~# xrandr --output VGA-0 --auto --right-of DVI-0
xrandr: screen cannot be larger than 1280x1200 (desired size 2560x1024)

This will be in the logs after I do that. What I find very strange
is that it mentions the Acer AL922 twice. This is the monitor
connected to the DVI-0 output. There's an "MRM B18XA" connected to
VGA-0 instead.

(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "VGA-0:ddc2" removed.
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "VGA-0:ddc2" removed.
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "VGA-0:ddc2" removed.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Found color CRT connected to primary DAC
in RADEONProbeOutputModes
(II) RADEON(0): Total number of valid Screen mode(s) added: 0
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 3
(II) RADEON(0): EDID data from the display on output: DVI-0 ----------------------
(II) RADEON(0): Manufacturer: ABO  Model: 9990  Serial#: 619
(II) RADEON(0): Year: 2003  Week: 2
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): DFP 1.x compatible TMDS
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 37  vert.: 30
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.647 redY: 0.346   greenX: 0.292 greenY: 0.602
(II) RADEON(0): blueX: 0.149 blueY: 0.130   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@67Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@56Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 832x624@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): 1280x1024@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 108.0 MHz   Image Size:  375 x 301 mm
(II) RADEON(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688 h_border: 0
(II) RADEON(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066 v_border: 0
(II) RADEON(0): Ranges: V min: 56  V max: 75 Hz, H min: 24  H max: 80 kHz, PixClock max 140 MHz
(II) RADEON(0): Monitor name: Acer AL922
(II) RADEON(0): Serial No: ET9093020026B
(II) RADEON(0): EDID (in hex):
(II) RADEON(0):         00ffffffffffff00044f90996b020000
(II) RADEON(0):         020d010381251e78eaec50a5584a9a26
(II) RADEON(0):         215054bfef0081800101010101010101
(II) RADEON(0):         010101010101302a009851002a403070
(II) RADEON(0):         1300772d1100001e000000fd00384b18
(II) RADEON(0):         500e000a202020202020000000fc0041
(II) RADEON(0):         63657220414c3932320a2020000000ff
(II) RADEON(0):         00455439303933303230303236420048
in RADEONProbeOutputModes
(II) RADEON(0): EDID vendor "ABO", prod id 39312
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "VGA-0:ddc2" removed.
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "VGA-0:ddc2" removed.
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "VGA-0:ddc2" removed.
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): Found color CRT connected to primary DAC
in RADEONProbeOutputModes
(II) RADEON(0): Total number of valid Screen mode(s) added: 0
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 3
(II) RADEON(0): EDID data from the display on output: DVI-0 ----------------------
(II) RADEON(0): Manufacturer: ABO  Model: 9990  Serial#: 619
(II) RADEON(0): Year: 2003  Week: 2
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): DFP 1.x compatible TMDS
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 37  vert.: 30
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.647 redY: 0.346   greenX: 0.292 greenY: 0.602
(II) RADEON(0): blueX: 0.149 blueY: 0.130   whiteX: 0.312 whiteY: 0.328
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@67Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@56Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 832x624@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): 1280x1024@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 108.0 MHz   Image Size:  375 x 301 mm
(II) RADEON(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688 h_border: 0
(II) RADEON(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066 v_border: 0
(II) RADEON(0): Ranges: V min: 56  V max: 75 Hz, H min: 24  H max: 80 kHz, PixClock max 140 MHz
(II) RADEON(0): Monitor name: Acer AL922
(II) RADEON(0): Serial No: ET9093020026B
(II) RADEON(0): EDID (in hex):
(II) RADEON(0):         00ffffffffffff00044f90996b020000
(II) RADEON(0):         020d010381251e78eaec50a5584a9a26
(II) RADEON(0):         215054bfef0081800101010101010101
(II) RADEON(0):         010101010101302a009851002a403070
(II) RADEON(0):         1300772d1100001e000000fd00384b18
(II) RADEON(0):         500e000a202020202020000000fc0041
(II) RADEON(0):         63657220414c3932320a2020000000ff
(II) RADEON(0):         00455439303933303230303236420048
in RADEONProbeOutputModes
(II) RADEON(0): EDID vendor "ABO", prod id 39312

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
SUSE: Soll Unix Sein, Eigentlich.
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 451972@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: martin f krafft <madduck@debian.org>, 451972@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Mon, 18 Feb 2008 11:01:02 +0100
martin f krafft wrote:
> Also, there's a maximum of 1280x1200 on screen 0. I really want
> 3840x1024 to put my three screens next to each other. Is this at all
> possible?
>
> When I try to add VGA-0, I get:
>
> piper:~# xrandr --output VGA-0 --auto --right-of DVI-0
> xrandr: screen cannot be larger than 1280x1200 (desired size 2560x1024)
>   

You need something like
    Virtual 2560 1024
in xorg.conf (Subsection Display). See II.5 of
http://wiki.debian.org/XStrikeForce/HowToRandR12

The server isn't capable of resizing the front buffer yet, that's why we
need this line for now so that a large front buffer is allocated at
startup even if not used.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 451972@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: martin f krafft <madduck@debian.org>, 451972@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Mon, 18 Feb 2008 11:10:02 +0100
martin f krafft wrote:
> I know we're in the middle of a transition from legacy xinerama to
> XRandR, but I still think it's a bug if a new version of X breaks
> the triple-head setup I have. It may seem that triple-head is mere
> geeky joy, but to me it's actually a requirement to get my work
> done.

Sure, my mail wasn't meant to tell you to go to hell with your useless
triple head :) Given some discussion with upstream, I was just checking
whether your problem changed a bit recently.

> Given that I don't really like my xorg.conf anyway (it's old) and
> really want to move towards XRandR, I then simply removed xorg.conf
> and would like to go from here. X comes up, but it only speaks to
> one of the two ATI boards, and the screen is mirrored on the two
> attached displays.

Mirror is the default behavior, it is meant to give you the login window
on all monitors so that you can always login with a default config even
if some monitors do not work correctly. See III.2 of
http://wiki.debian.org/XStrikeForce/HowToRandR12 for xorg.conf based
configuration.

Having only one board work is what we need to get fixed...


> 1. use xrandr to create screen 2 on the second VGA port of the
>    PCI:1:0:0 card and to put it right-of screen 1 attached to the
>    first port. I don't know what output name to use for that.
>   

See above.

> 2. somehow teach X about the PCI:0:12:0 card and use xrandr to put
>    the one display attached to its primary card left-of screen 1.
>
> Is this possible?
>   

Not sure about that unfortunately. If the driver doesn't even look at
board 0:12:0, it doesn't look good. Maybe you need to restore 2 devices
sections with the appropriate BusID lines? Not sure whether you need to
restore some corresponding Screen and ServerLayout sections...

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#451972; Package xserver-xorg-core. Full text and rfc822 format available.

Message #43 received at 451972@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 451972@bugs.debian.org
Subject: Re: Bug#451972: no longer supports xinerama across multiple graphics cards
Date: Mon, 18 Feb 2008 11:42:34 +0100
[Message part 1 (text/plain, inline)]
also sprach Brice Goglin <Brice.Goglin@ens-lyon.org> [2008.02.18.1101 +0100]:
> You need something like
>     Virtual 2560 1024
> in xorg.conf (Subsection Display). See II.5 of
> http://wiki.debian.org/XStrikeForce/HowToRandR12
> 
> The server isn't capable of resizing the front buffer yet, that's why we
> need this line for now so that a large front buffer is allocated at
> startup even if not used.

Thank you, I have since found out...

FWIW: http://lists.freedesktop.org/archives/xorg/2008-February/032970.html

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
"i have smoked pot. it is a stupid business, like masturbation."
                                                     -- thomas pynchon
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 19 Apr 2008 12:45:06 GMT) Full text and rfc822 format available.

Disconnected #451972 from all other report(s). Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 13:33:10 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to martin f krafft <madduck@debian.org> Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 13:33:10 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Feb 2011 13:36:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:18:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.